<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Wed Nov 20 09:59:45 CET 2019 -->
<title>ContentMetadata</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-11-20">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ContentMetadata";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ContentMetadata.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">nl.naturalis.oaipmh.api.jaxb.abcd</a></div>
<h2 title="Class ContentMetadata" class="title">Class ContentMetadata</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>nl.naturalis.oaipmh.api.jaxb.abcd.ContentMetadata</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">ContentMetadata</span>
extends <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></pre>
<div class="block">Metadata referring to the
                                principal source of the entire data collection (thus the metadata
                                scope may be wider than the objects actually contained in the data
                                set). If a history of the data collection (revised or expanded in
                                various projects or at different institutions) exist, this must be
                                reflected in the IPR statements and possibly in the list of Owners.
                        
 
 <p>Java class for ContentMetadata complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType name="ContentMetadata">
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;sequence>
         &lt;element name="Description">
           &lt;complexType>
             &lt;complexContent>
               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                 &lt;sequence>
                   &lt;element name="Representation" type="{http://www.tdwg.org/schemas/abcd/2.06}MetadataDescriptionRepr" maxOccurs="unbounded"/>
                 &lt;/sequence>
               &lt;/restriction>
             &lt;/complexContent>
           &lt;/complexType>
         &lt;/element>
         &lt;element name="IconURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
         &lt;element name="Scope" minOccurs="0">
           &lt;complexType>
             &lt;complexContent>
               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                 &lt;sequence>
                   &lt;element name="GeoecologicalTerms" minOccurs="0">
                     &lt;complexType>
                       &lt;complexContent>
                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                           &lt;sequence>
                             &lt;element name="GeoEcologicalTerm" type="{http://www.tdwg.org/schemas/abcd/2.06}StringL255" maxOccurs="unbounded"/>
                           &lt;/sequence>
                         &lt;/restriction>
                       &lt;/complexContent>
                     &lt;/complexType>
                   &lt;/element>
                   &lt;element name="TaxonomicTerms" minOccurs="0">
                     &lt;complexType>
                       &lt;complexContent>
                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                           &lt;sequence>
                             &lt;element name="TaxonomicTerm" type="{http://www.tdwg.org/schemas/abcd/2.06}StringL255" maxOccurs="unbounded"/>
                           &lt;/sequence>
                         &lt;/restriction>
                       &lt;/complexContent>
                     &lt;/complexType>
                   &lt;/element>
                 &lt;/sequence>
               &lt;/restriction>
             &lt;/complexContent>
           &lt;/complexType>
         &lt;/element>
         &lt;element name="Version" minOccurs="0">
           &lt;complexType>
             &lt;complexContent>
               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                 &lt;sequence>
                   &lt;element name="Major" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger"/>
                   &lt;element name="Minor" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" minOccurs="0"/>
                   &lt;element name="Modifier" type="{http://www.tdwg.org/schemas/abcd/2.06}String255" minOccurs="0"/>
                   &lt;element name="DateIssued" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
                 &lt;/sequence>
               &lt;/restriction>
             &lt;/complexContent>
           &lt;/complexType>
         &lt;/element>
         &lt;element name="RevisionData" type="{http://www.tdwg.org/schemas/abcd/2.06}RevisionData"/>
         &lt;element name="Owners" minOccurs="0">
           &lt;complexType>
             &lt;complexContent>
               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                 &lt;sequence>
                   &lt;element name="Owner" type="{http://www.tdwg.org/schemas/abcd/2.06}Contact" maxOccurs="unbounded" minOccurs="0"/>
                 &lt;/sequence>
               &lt;/restriction>
             &lt;/complexContent>
           &lt;/complexType>
         &lt;/element>
         &lt;element name="IPRStatements" type="{http://www.tdwg.org/schemas/abcd/2.06}IPRStatements" minOccurs="0"/>
         &lt;element name="InformationWithheld" type="{http://www.tdwg.org/schemas/abcd/2.06}StringL" minOccurs="0"/>
         &lt;element name="DirectAccessURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/>
       &lt;/sequence>
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="ContentMetadata.Description.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Description</a></span></code></th>
<td class="colLast">
<div class="block">Java class for anonymous complex type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="ContentMetadata.Owners.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Owners</a></span></code></th>
<td class="colLast">
<div class="block">Java class for anonymous complex type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="ContentMetadata.Scope.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Scope</a></span></code></th>
<td class="colLast">
<div class="block">Java class for anonymous complex type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="ContentMetadata.Version.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Version</a></span></code></th>
<td class="colLast">
<div class="block">Java class for anonymous complex type.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">ContentMetadata</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="ContentMetadata.Description.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Description</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDescription()">getDescription</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the description property.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDirectAccessURI()">getDirectAccessURI</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the directAccessURI property.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getIconURI()">getIconURI</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the iconURI property.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">StringL</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getInformationWithheld()">getInformationWithheld</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the informationWithheld property.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="IPRStatements.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">IPRStatements</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getIPRStatements()">getIPRStatements</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the iprStatements property.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="ContentMetadata.Owners.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Owners</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOwners()">getOwners</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the owners property.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="RevisionData.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">RevisionData</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRevisionData()">getRevisionData</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the revisionData property.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="ContentMetadata.Scope.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Scope</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getScope()">getScope</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the scope property.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="ContentMetadata.Version.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Version</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getVersion()">getVersion</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the version property.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDescription(nl.naturalis.oaipmh.api.jaxb.abcd.ContentMetadata.Description)">setDescription</a></span>&#8203;(<a href="ContentMetadata.Description.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Description</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the description property.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDirectAccessURI(java.lang.String)">setDirectAccessURI</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the directAccessURI property.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setIconURI(java.lang.String)">setIconURI</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the iconURI property.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setInformationWithheld(nl.naturalis.oaipmh.api.jaxb.abcd.StringL)">setInformationWithheld</a></span>&#8203;(<a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">StringL</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the informationWithheld property.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setIPRStatements(nl.naturalis.oaipmh.api.jaxb.abcd.IPRStatements)">setIPRStatements</a></span>&#8203;(<a href="IPRStatements.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">IPRStatements</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the iprStatements property.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setOwners(nl.naturalis.oaipmh.api.jaxb.abcd.ContentMetadata.Owners)">setOwners</a></span>&#8203;(<a href="ContentMetadata.Owners.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Owners</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the owners property.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setRevisionData(nl.naturalis.oaipmh.api.jaxb.abcd.RevisionData)">setRevisionData</a></span>&#8203;(<a href="RevisionData.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">RevisionData</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the revisionData property.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setScope(nl.naturalis.oaipmh.api.jaxb.abcd.ContentMetadata.Scope)">setScope</a></span>&#8203;(<a href="ContentMetadata.Scope.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Scope</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the scope property.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setVersion(nl.naturalis.oaipmh.api.jaxb.abcd.ContentMetadata.Version)">setVersion</a></span>&#8203;(<a href="ContentMetadata.Version.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Version</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the version property.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang" class="externalLink">equals</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang" class="externalLink">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang" class="externalLink">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang" class="externalLink">notify</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang" class="externalLink">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang" class="externalLink">toString</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long,int)" title="class or interface in java.lang" class="externalLink">wait</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ContentMetadata</h4>
<pre>public&nbsp;ContentMetadata()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getDescription()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDescription</h4>
<pre class="methodSignature">public&nbsp;<a href="ContentMetadata.Description.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Description</a>&nbsp;getDescription()</pre>
<div class="block">Gets the value of the description property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="ContentMetadata.Description.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>ContentMetadata.Description</code></a></dd>
</dl>
</li>
</ul>
<a id="setDescription(nl.naturalis.oaipmh.api.jaxb.abcd.ContentMetadata.Description)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDescription</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDescription&#8203;(<a href="ContentMetadata.Description.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Description</a>&nbsp;value)</pre>
<div class="block">Sets the value of the description property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="ContentMetadata.Description.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>ContentMetadata.Description</code></a></dd>
</dl>
</li>
</ul>
<a id="getIconURI()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIconURI</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getIconURI()</pre>
<div class="block">Gets the value of the iconURI property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink"><code>String</code></a></dd>
</dl>
</li>
</ul>
<a id="setIconURI(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIconURI</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setIconURI&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the iconURI property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink"><code>String</code></a></dd>
</dl>
</li>
</ul>
<a id="getScope()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScope</h4>
<pre class="methodSignature">public&nbsp;<a href="ContentMetadata.Scope.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Scope</a>&nbsp;getScope()</pre>
<div class="block">Gets the value of the scope property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="ContentMetadata.Scope.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>ContentMetadata.Scope</code></a></dd>
</dl>
</li>
</ul>
<a id="setScope(nl.naturalis.oaipmh.api.jaxb.abcd.ContentMetadata.Scope)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScope</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setScope&#8203;(<a href="ContentMetadata.Scope.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Scope</a>&nbsp;value)</pre>
<div class="block">Sets the value of the scope property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="ContentMetadata.Scope.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>ContentMetadata.Scope</code></a></dd>
</dl>
</li>
</ul>
<a id="getVersion()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVersion</h4>
<pre class="methodSignature">public&nbsp;<a href="ContentMetadata.Version.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Version</a>&nbsp;getVersion()</pre>
<div class="block">Gets the value of the version property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="ContentMetadata.Version.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>ContentMetadata.Version</code></a></dd>
</dl>
</li>
</ul>
<a id="setVersion(nl.naturalis.oaipmh.api.jaxb.abcd.ContentMetadata.Version)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVersion</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setVersion&#8203;(<a href="ContentMetadata.Version.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Version</a>&nbsp;value)</pre>
<div class="block">Sets the value of the version property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="ContentMetadata.Version.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>ContentMetadata.Version</code></a></dd>
</dl>
</li>
</ul>
<a id="getRevisionData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRevisionData</h4>
<pre class="methodSignature">public&nbsp;<a href="RevisionData.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">RevisionData</a>&nbsp;getRevisionData()</pre>
<div class="block">Gets the value of the revisionData property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="RevisionData.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>RevisionData</code></a></dd>
</dl>
</li>
</ul>
<a id="setRevisionData(nl.naturalis.oaipmh.api.jaxb.abcd.RevisionData)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRevisionData</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setRevisionData&#8203;(<a href="RevisionData.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">RevisionData</a>&nbsp;value)</pre>
<div class="block">Sets the value of the revisionData property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="RevisionData.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>RevisionData</code></a></dd>
</dl>
</li>
</ul>
<a id="getOwners()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOwners</h4>
<pre class="methodSignature">public&nbsp;<a href="ContentMetadata.Owners.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Owners</a>&nbsp;getOwners()</pre>
<div class="block">Gets the value of the owners property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="ContentMetadata.Owners.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>ContentMetadata.Owners</code></a></dd>
</dl>
</li>
</ul>
<a id="setOwners(nl.naturalis.oaipmh.api.jaxb.abcd.ContentMetadata.Owners)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOwners</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setOwners&#8203;(<a href="ContentMetadata.Owners.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata.Owners</a>&nbsp;value)</pre>
<div class="block">Sets the value of the owners property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="ContentMetadata.Owners.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>ContentMetadata.Owners</code></a></dd>
</dl>
</li>
</ul>
<a id="getIPRStatements()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIPRStatements</h4>
<pre class="methodSignature">public&nbsp;<a href="IPRStatements.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">IPRStatements</a>&nbsp;getIPRStatements()</pre>
<div class="block">Gets the value of the iprStatements property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="IPRStatements.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>IPRStatements</code></a></dd>
</dl>
</li>
</ul>
<a id="setIPRStatements(nl.naturalis.oaipmh.api.jaxb.abcd.IPRStatements)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIPRStatements</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setIPRStatements&#8203;(<a href="IPRStatements.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">IPRStatements</a>&nbsp;value)</pre>
<div class="block">Sets the value of the iprStatements property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="IPRStatements.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>IPRStatements</code></a></dd>
</dl>
</li>
</ul>
<a id="getInformationWithheld()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInformationWithheld</h4>
<pre class="methodSignature">public&nbsp;<a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">StringL</a>&nbsp;getInformationWithheld()</pre>
<div class="block">Gets the value of the informationWithheld property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>StringL</code></a></dd>
</dl>
</li>
</ul>
<a id="setInformationWithheld(nl.naturalis.oaipmh.api.jaxb.abcd.StringL)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInformationWithheld</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setInformationWithheld&#8203;(<a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">StringL</a>&nbsp;value)</pre>
<div class="block">Sets the value of the informationWithheld property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="StringL.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>StringL</code></a></dd>
</dl>
</li>
</ul>
<a id="getDirectAccessURI()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDirectAccessURI</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getDirectAccessURI()</pre>
<div class="block">Gets the value of the directAccessURI property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink"><code>String</code></a></dd>
</dl>
</li>
</ul>
<a id="setDirectAccessURI(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setDirectAccessURI</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDirectAccessURI&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the directAccessURI property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink"><code>String</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ContentMetadata.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
